Package org.eclipse.emf.compare.provider.utils

# Enum Class IStyledString.Style.UnderLineStyle

java.lang.Object
java.lang.Enum<IStyledString.Style.UnderLineStyle>
org.eclipse.emf.compare.provider.utils.IStyledString.Style.UnderLineStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<IStyledString.Style.UnderLineStyle>`, `java.lang.constant.Constable`

Enclosing class:
  IStyledString.Style

public static enum IStyledString.Style.UnderLineStyle extends Enum<IStyledString.Style.UnderLineStyle>
The possible styles of the underline. These are those supported by JFace 3.8. Other versions or other widgets toolkit may not support all of these or may support more than these.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOUBLE`
Double line.
`ERROR`
Error line (often dash line).
`LINK`
Hyperlink.
`NONE`
No underline.
`SINGLE`
Single line.
`SQUIGGLE`
Squiggle line.

## Method Summary

Modifier and Type
Method
Description
`static IStyledString.Style.UnderLineStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IStyledString.Style.UnderLineStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final IStyledString.Style.UnderLineStyle NONE
No underline.

### SINGLE

public static final IStyledString.Style.UnderLineStyle SINGLE
Single line.

### DOUBLE

public static final IStyledString.Style.UnderLineStyle DOUBLE
Double line.

### SQUIGGLE

public static final IStyledString.Style.UnderLineStyle SQUIGGLE
Squiggle line.

### ERROR

public static final IStyledString.Style.UnderLineStyle ERROR
Error line (often dash line).

### LINK

public static final IStyledString.Style.UnderLineStyle LINK
Hyperlink.

## Method Details

### values

public static IStyledString.Style.UnderLineStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IStyledString.Style.UnderLineStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null